Returns the webhook with the specified id.

GEThttps://api.awork.com/api/v1/webhooks/{webhookId}
GET https://api.awork.com/api/v1/webhooks/{webhookId}

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Path parameters

webhookIdstringRequired
format: uuid

Responses

200 OK

application/json

namestringRequired
minLength: 1

The name of this webhook event.

uristringRequired
minLength: 1

The URI to call.

languagestring or nullOptional

The language of the web hook message that will be sent to the receiver. Not required for custom web hooks.

eventsstringRequired
minLength: 1

The event(s) that trigger the web hook. A comma-separated list of events that trigger the webhook. The allowed events depend on the webhook type. For type 'custom': retrieve the list of allowed events from '/webhooks/eventTypes' For type 'slack': retrieve the list of allowed events from '/webhooks/eventTypes/slack'

isActivebooleanRequired

Whether the web hook is currently active.

onlyTriggerForMainEntityChangesbooleanOptional

Whether to only send events for main entity changes and not for nested entities if the webhook is for a model.

authenticationTypestringRequired
minLength: 1

The authentication type to use when calling the URI. Can be 'none', 'header'.

authenticationstring or nullOptional

The authentication value to use when calling the URI. Should be 'key=value'. In case of header authentication, this should be 'headername=headervalue'. Only required when the AuthenticationType is anything other than 'none'.

idstringOptional
format: uuid

The id of the webhook config.

receiverTypestring or nullOptional

The type of the web hook. Can be 'custom', 'slack'.

lastFailureReasonstring or nullOptional

The most recent failure reason.

createdOnstringOptional
format: date-time

The date this webhook config was created.

createdBystringOptional
format: uuid

The id of the user who created this webhook config.

updatedOnstringOptional
format: date-time

The date this webhook config was last modified.

updatedBystringOptional
format: uuid

The id of the user who last modified this webhook config.

404 Not Found

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

Search documentation